Skip to main content
GET
/
ecommerce
/
products
/
{productId}
Product
curl --request GET \
  --url https://api.service.getjusto.com/v3/ecommerce/products/{productId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "productId": "<string>",
    "importId": "<string>",
    "name": "<string>",
    "internalName": "<string>",
    "description": "<string>",
    "url": "<string>",
    "partialUrl": "<string>",
    "categoriesNames": [
      "<string>"
    ],
    "categoriesIds": [
      "<string>"
    ],
    "modifiersIds": [
      "<string>"
    ],
    "externalId": "<string>",
    "metadata": {},
    "images": [
      "<string>"
    ],
    "menus": [
      {
        "menuId": "<string>",
        "price": 123,
        "basePrice": 123,
        "discount": 123,
        "discounts": [
          123
        ],
        "available": true,
        "externalId": "<string>",
        "metadata": {}
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

productId
string
required

ID Justo o ID externo del producto.

Response

The OpenAPI spec

success
boolean
Example:

true

data
object

Producto del catálogo.